Loading...
Searching...
No Matches
XrdCmsKeyLoc Class Reference

`#include <XrdCmsKey.hh>`

Collaboration diagram for XrdCmsKeyLoc:

## Public Member Functions

| XrdCmsKeyLoc ()
| ~XrdCmsKeyLoc ()
XrdCmsKeyLoc & | operator= (const XrdCmsKeyLoc &rhs)

## Public Attributes

union { |
int | deadline
unsigned int | HashSave
}; |
SMask_t | hfvec
int | lifeline
SMask_t | pfvec
SMask_t | qfvec
short | roPend
short | rwPend
unsigned int | TOD_B

## Detailed Description

Definition at line 88 of file XrdCmsKey.hh.

## Constructor & Destructor Documentation

## XrdCmsKeyLoc()

XrdCmsKeyLoc::XrdCmsKeyLoc | ( |  | ) |

inline

Definition at line 113 of file XrdCmsKey.hh.

: lifeline(0), roPend(0), rwPend(0) {}
XrdCmsKeyLoc::lifeline
int lifeline
Definition XrdCmsKey.hh:96
XrdCmsKeyLoc::rwPend
short rwPend
Definition XrdCmsKey.hh:102
XrdCmsKeyLoc::roPend
short roPend
Definition XrdCmsKey.hh:101

References lifeline, roPend, and rwPend.

Referenced by operator=().

Here is the caller graph for this function:

## ~XrdCmsKeyLoc()

XrdCmsKeyLoc::~XrdCmsKeyLoc | ( |  | ) |

inline

Definition at line 114 of file XrdCmsKey.hh.

{}

## Member Function Documentation

## operator=()

XrdCmsKeyLoc & XrdCmsKeyLoc::operator= | ( | const XrdCmsKeyLoc & | rhs | ) |

inline

Definition at line 105 of file XrdCmsKey.hh.

{hfvec=rhs.hfvec; pfvec=rhs.pfvec; TOD_B=rhs.TOD_B;
deadline = rhs.deadline;
lifeline = rhs.lifeline;
roPend = rhs.roPend; rwPend = rhs.rwPend;
return *this;
}
XrdCmsKeyLoc::hfvec
SMask_t hfvec
Definition XrdCmsKey.hh:92
XrdCmsKeyLoc::TOD_B
unsigned int TOD_B
Definition XrdCmsKey.hh:95
XrdCmsKeyLoc::pfvec
SMask_t pfvec
Definition XrdCmsKey.hh:93

References XrdCmsKeyLoc(), hfvec, lifeline, pfvec, roPend, rwPend, and TOD_B.

Here is the call graph for this function:

## Member Data Documentation

## [union]

union { ... } XrdCmsKeyLoc

## hfvec

SMask_t XrdCmsKeyLoc::hfvec

Definition at line 92 of file XrdCmsKey.hh.

Referenced by XrdCmsCache::AddFile(), XrdCmsCache::DelFile(), XrdCmsCache::GetFile(), operator=(), and XrdCmsCache::WT4File().

## lifeline

int XrdCmsKeyLoc::lifeline

Definition at line 96 of file XrdCmsKey.hh.

Referenced by XrdCmsKeyLoc(), XrdCmsCache::AddFile(), XrdCmsCache::DelFile(), XrdCmsCache::GetFile(), and operator=().

## pfvec

SMask_t XrdCmsKeyLoc::pfvec

Definition at line 93 of file XrdCmsKey.hh.

Referenced by XrdCmsCache::AddFile(), XrdCmsCache::DelFile(), XrdCmsCache::GetFile(), and operator=().

## qfvec

SMask_t XrdCmsKeyLoc::qfvec

Definition at line 94 of file XrdCmsKey.hh.

Referenced by XrdCmsCache::AddFile(), XrdCmsCache::GetFile(), and XrdCmsCache::UnkFile().

## roPend

short XrdCmsKeyLoc::roPend

Definition at line 101 of file XrdCmsKey.hh.

Referenced by XrdCmsKeyLoc(), XrdCmsCache::AddFile(), XrdCmsKeyItem::Alloc(), and operator=().

## rwPend

short XrdCmsKeyLoc::rwPend

Definition at line 102 of file XrdCmsKey.hh.

Referenced by XrdCmsKeyLoc(), XrdCmsCache::AddFile(), XrdCmsKeyItem::Alloc(), and operator=().

## TOD_B

unsigned int XrdCmsKeyLoc::TOD_B

Definition at line 95 of file XrdCmsKey.hh.

Referenced by XrdCmsCache::AddFile(), XrdCmsCache::GetFile(), and operator=().

The documentation for this class was generated from the following file:

- XrdCmsKey.hh